summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-02-13 19:26:59 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-02-13 19:26:59 +0000
commit08b20627e09b7c884e11cd19ad4ce520546c2bb3 (patch)
tree5119e393051883726de13a14c3e6676622d492bd /dev-python
parenta29a2c9928a18a6b7f75bbb18d798123e03cdaeb (diff)
downloadbaldeagleos-repo-08b20627e09b7c884e11cd19ad4ce520546c2bb3.tar.gz
baldeagleos-repo-08b20627e09b7c884e11cd19ad4ce520546c2bb3.tar.xz
baldeagleos-repo-08b20627e09b7c884e11cd19ad4ce520546c2bb3.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/nltk-data/metadata.xml2
-rw-r--r--dev-python/pandas/pandas-2.3.3.ebuild4
-rw-r--r--dev-python/patsy/patsy-1.0.2.ebuild4
-rw-r--r--dev-python/pillow/pillow-12.1.1.ebuild2
-rw-r--r--dev-python/pyarrow/pyarrow-22.0.0.ebuild4
-rw-r--r--dev-python/reportlab/Manifest2
-rw-r--r--dev-python/reportlab/reportlab-4.4.10.ebuild2
-rw-r--r--dev-python/reportlab/reportlab-4.4.7.ebuild53
-rw-r--r--dev-python/reportlab/reportlab-4.4.9.ebuild53
-rw-r--r--dev-python/spyder/Manifest1
-rw-r--r--dev-python/spyder/spyder-6.1.3.ebuild209
-rw-r--r--dev-python/statsmodels/statsmodels-0.14.6.ebuild4
-rw-r--r--dev-python/tables/tables-3.10.2-r1.ebuild4
-rw-r--r--dev-python/xarray/xarray-2025.12.0.ebuild4
-rw-r--r--dev-python/zope-testing/files/zope-testing-6.0-test.patch52
-rw-r--r--dev-python/zstandard/files/zstandard-0.23.0-py314.patch17
-rw-r--r--dev-python/zstandard/files/zstandard-0.23.0-zstd-1.5.7.patch163
17 files changed, 225 insertions, 355 deletions
diff --git a/dev-python/nltk-data/metadata.xml b/dev-python/nltk-data/metadata.xml
index b0bf2b691bb5..6d737cab2b2f 100644
--- a/dev-python/nltk-data/metadata.xml
+++ b/dev-python/nltk-data/metadata.xml
@@ -11,4 +11,4 @@
</maintainer>
<origin>ports</origin>
-</pkgmetadata>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pandas/pandas-2.3.3.ebuild b/dev-python/pandas/pandas-2.3.3.ebuild
index c93206947af8..161d106731ea 100644
--- a/dev-python/pandas/pandas-2.3.3.ebuild
+++ b/dev-python/pandas/pandas-2.3.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -21,7 +21,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+KEYWORDS="amd64 arm64 ~riscv ~x86"
IUSE="big-endian full-support minimal test X"
RESTRICT="!test? ( test )"
diff --git a/dev-python/patsy/patsy-1.0.2.ebuild b/dev-python/patsy/patsy-1.0.2.ebuild
index c032057ae0e7..da057fa49088 100644
--- a/dev-python/patsy/patsy-1.0.2.ebuild
+++ b/dev-python/patsy/patsy-1.0.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
RDEPEND="
dev-python/numpy[${PYTHON_USEDEP}]
diff --git a/dev-python/pillow/pillow-12.1.1.ebuild b/dev-python/pillow/pillow-12.1.1.ebuild
index ea1d6093fec9..eb30613865d6 100644
--- a/dev-python/pillow/pillow-12.1.1.ebuild
+++ b/dev-python/pillow/pillow-12.1.1.ebuild
@@ -35,7 +35,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="HPND"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos"
IUSE="avif examples imagequant +jpeg jpeg2k lcms test tiff tk truetype webp xcb zlib"
REQUIRED_USE="test? ( jpeg jpeg2k lcms tiff truetype )"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pyarrow/pyarrow-22.0.0.ebuild b/dev-python/pyarrow/pyarrow-22.0.0.ebuild
index cc8d959a0599..80fc95bd8d43 100644
--- a/dev-python/pyarrow/pyarrow-22.0.0.ebuild
+++ b/dev-python/pyarrow/pyarrow-22.0.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2023-2025 Gentoo Authors
+# Copyright 2023-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -33,7 +33,7 @@ S="${WORKDIR}/apache-arrow-${PV}/python"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+KEYWORDS="amd64 arm64 ~riscv ~x86"
IUSE="+parquet +snappy ssl"
RDEPEND="
diff --git a/dev-python/reportlab/Manifest b/dev-python/reportlab/Manifest
index 6df2dc137a24..5097a06d794c 100644
--- a/dev-python/reportlab/Manifest
+++ b/dev-python/reportlab/Manifest
@@ -1,4 +1,2 @@
DIST pfbfer-20070710.zip 677333 BLAKE2B 100214476a361a5e5d1f3da0999591345f6e3a3f8c6bc3f6a3e9eca734190c6259758a43302c6e41254d33491fe535eb7d5dd07aa9727c912424bebc31fc18df SHA512 6fd4a5d955464b10d13a7b748703450c1fe120d5ed09e8cfa1b4dfa9c183c59fe001df29433af551796b0df62544b7ddc364f9bb1bdcc2cd300434340ffcc4f2
DIST reportlab-4.4.10.tar.gz 3714962 BLAKE2B aecd293b9db9a303599b56ae906a0da17dde5fcd743baeee605f70d0e1e2e033a69163390b84bfe13b592b0e77ee86c3915dfb82d51a8e5ce446cb133fe7f1a9 SHA512 568d1725826b20d9a1286ef1477dac157b7e291aae7e17605633776693677dbbd4d49a6385f5ed456db31686651306e4b62e61840f11773b13dc6704119010a9
-DIST reportlab-4.4.7.tar.gz 3714000 BLAKE2B 41dc91418f101e1437e3af84dbd2d66d52e880a20f1865c770e6815d7fcdc259c67949420000e53fd2782abca65d66ff4940286c56f8f088a4903ef0637550e9 SHA512 0960f8d5fec4fb7a09e1dbd791246ec254a551850b8bb3ad92be2add55550bdbf300dc44ad77f2ab00c73bd16d27349b4dd672582b6b4996d1e2ae426401bc40
-DIST reportlab-4.4.9.tar.gz 3911246 BLAKE2B e7c20d16ffc83bb050674d4056eadf17e81965f52b80e48ac8f196643a5dbdf5305be97ccd76b1b4ef11f5a7c0bbbc154d0b483f6e491108bc9b5f6ecaa57e9b SHA512 c802758fac5aedab54581c3c03a8e0a2201125c547f5e51efd252adbfde4b7a1db3a4caa0c0276a660a2352fc295176d088fc38b6166f3f798a295f6d231705e
diff --git a/dev-python/reportlab/reportlab-4.4.10.ebuild b/dev-python/reportlab/reportlab-4.4.10.ebuild
index 5a460e791a12..716b786ae860 100644
--- a/dev-python/reportlab/reportlab-4.4.10.ebuild
+++ b/dev-python/reportlab/reportlab-4.4.10.ebuild
@@ -20,7 +20,7 @@ SRC_URI+="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ppc ppc64 ~riscv ~s390 ~sparc x86"
RDEPEND="
dev-python/charset-normalizer[${PYTHON_USEDEP}]
diff --git a/dev-python/reportlab/reportlab-4.4.7.ebuild b/dev-python/reportlab/reportlab-4.4.7.ebuild
deleted file mode 100644
index 716b786ae860..000000000000
--- a/dev-python/reportlab/reportlab-4.4.7.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2026 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Tools for generating printable PDF documents from any data source"
-HOMEPAGE="
- https://www.reportlab.com/
- https://pypi.org/project/reportlab/
-"
-SRC_URI+="
- https://www.reportlab.com/ftp/fonts/pfbfer-20070710.zip
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ppc ppc64 ~riscv ~s390 ~sparc x86"
-
-RDEPEND="
- dev-python/charset-normalizer[${PYTHON_USEDEP}]
- dev-python/pillow[tiff,truetype,jpeg(+),${PYTHON_USEDEP}]
-"
-BDEPEND="
- app-arch/unzip
-"
-
-distutils_enable_sphinx docs/source
-
-src_unpack() {
- unpack ${P}.tar.gz
- cd ${P}/src/reportlab/fonts || die
- unpack pfbfer-20070710.zip
-}
-
-src_configure() {
- cat > local-setup.cfg <<-EOF || die
- [OPTIONS]
- no-download-t1-files = 1
- EOF
-}
-
-python_test() {
- pushd tests >/dev/null || die
- "${EPYTHON}" runAll.py --post-install --verbosity=2 ||
- die "Testing failed with ${EPYTHON}"
- popd >/dev/null || die
-}
diff --git a/dev-python/reportlab/reportlab-4.4.9.ebuild b/dev-python/reportlab/reportlab-4.4.9.ebuild
deleted file mode 100644
index 5a460e791a12..000000000000
--- a/dev-python/reportlab/reportlab-4.4.9.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2026 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Tools for generating printable PDF documents from any data source"
-HOMEPAGE="
- https://www.reportlab.com/
- https://pypi.org/project/reportlab/
-"
-SRC_URI+="
- https://www.reportlab.com/ftp/fonts/pfbfer-20070710.zip
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-RDEPEND="
- dev-python/charset-normalizer[${PYTHON_USEDEP}]
- dev-python/pillow[tiff,truetype,jpeg(+),${PYTHON_USEDEP}]
-"
-BDEPEND="
- app-arch/unzip
-"
-
-distutils_enable_sphinx docs/source
-
-src_unpack() {
- unpack ${P}.tar.gz
- cd ${P}/src/reportlab/fonts || die
- unpack pfbfer-20070710.zip
-}
-
-src_configure() {
- cat > local-setup.cfg <<-EOF || die
- [OPTIONS]
- no-download-t1-files = 1
- EOF
-}
-
-python_test() {
- pushd tests >/dev/null || die
- "${EPYTHON}" runAll.py --post-install --verbosity=2 ||
- die "Testing failed with ${EPYTHON}"
- popd >/dev/null || die
-}
diff --git a/dev-python/spyder/Manifest b/dev-python/spyder/Manifest
index a848a2383469..931786fe1600 100644
--- a/dev-python/spyder/Manifest
+++ b/dev-python/spyder/Manifest
@@ -1,2 +1,3 @@
DIST spyder-6.1.2.gh.tar.gz 16009703 BLAKE2B 586d27fbe1530747aab598c92b1efc709147bf2289caee75770dd45a74b04d3d53042e28ad0a654f37fcf549662b9e3bebf65111b74b2bedd17a7c0c057abba1 SHA512 a681579e0831af6584ba49fd628daa779ec1576530c237d7fe0e02b861d43756bf0d461ac2073fcb9e0a8e741046dd5bed26d44ece1e55502124780f240dfcc8
+DIST spyder-6.1.3.gh.tar.gz 16052614 BLAKE2B adb74840fb8c4f1a30c523a0cbf2772f8c18c090996b1cf4bc293740c62d6910fc3b5a4f44eaaf15b7adfe119a8b8fb3d044ef3c922584c6f8a3128078ac5565 SHA512 9097df8bffd9b83a2bd217b87059d022abd1e46295f10fad627a4f87d145ca2190672635ae32c78932f487e8c5964702420d8c3a01a2b6a56db96d9e2f8d037c
DIST spyder-docs-98004cb46d97fa9fa1cfc3f469919928761e7054.gh.tar.gz 93375891 BLAKE2B c98d391bb33b1ba70bf9c8e8072073e87437541aacd4be42140711b786e8ae07bf5a7ca53dffdb826922b5523150fa2950b04117c335dc57f7c2c22eb693c23f SHA512 55e13f9a55075aed007be32581af954d406703dd9586352084162e01865f943c5aff3aa11b50bdc9813dd8a3a52f8fa8f961c73cfc3f96d95930f2a7b823a1d1
diff --git a/dev-python/spyder/spyder-6.1.3.ebuild b/dev-python/spyder/spyder-6.1.3.ebuild
new file mode 100644
index 000000000000..00efc8760611
--- /dev/null
+++ b/dev-python/spyder/spyder-6.1.3.ebuild
@@ -0,0 +1,209 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..14} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 optfeature xdg #virtualx
+
+# Commit of documentation to fetch
+DOCS_PV="98004cb46d97fa9fa1cfc3f469919928761e7054"
+
+DESCRIPTION="The Scientific Python Development Environment"
+HOMEPAGE="
+ https://www.spyder-ide.org/
+ https://github.com/spyder-ide/spyder/
+ https://pypi.org/project/spyder/
+"
+SRC_URI="
+ https://github.com/spyder-ide/${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz
+ https://github.com/spyder-ide/${PN}-docs/archive/${DOCS_PV}.tar.gz -> ${PN}-docs-${DOCS_PV}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+# Missing deps and broken
+RESTRICT="test"
+
+RDEPEND="
+ >=dev-python/aiohttp-3.11.2[${PYTHON_USEDEP}]
+ >=dev-python/asyncssh-2.14.0[${PYTHON_USEDEP}]
+ <dev-python/asyncssh-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/atomicwrites-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/bcrypt-4.3.0[${PYTHON_USEDEP}]
+ >=dev-python/chardet-2.0.0[${PYTHON_USEDEP}]
+ >=dev-util/cookiecutter-1.6.0[${PYTHON_USEDEP}]
+ >=dev-python/diff-match-patch-20181111[${PYTHON_USEDEP}]
+ >=dev-python/intervaltree-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/ipython-pygments-lexers-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jellyfish-0.7[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/keyring-17.0.0[${PYTHON_USEDEP}]
+ >=dev-python/markdown-it-py-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/nbconvert-4.0[${PYTHON_USEDEP}]
+ >=dev-python/numpydoc-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ >=dev-python/pexpect-4.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pickleshare-0.4[${PYTHON_USEDEP}]
+ >=dev-python/psutil-5.3[${PYTHON_USEDEP}]
+ >=dev-python/pygithub-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.0[${PYTHON_USEDEP}]
+ >=dev-python/pylint-venv-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/python-lsp-black-2.0.0[${PYTHON_USEDEP}]
+ <dev-python/python-lsp-black-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/python-lsp-ruff-2.3.0[${PYTHON_USEDEP}]
+ <dev-python/python-lsp-ruff-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pyls-spyder-0.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pyuca-1.2[${PYTHON_USEDEP}]
+ >=dev-python/pyxdg-0.26[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-24.0.0[${PYTHON_USEDEP}]
+ >=dev-python/qdarkstyle-3.2.0[${PYTHON_USEDEP}]
+ <dev-python/qdarkstyle-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/qstylizer-0.2.2[${PYTHON_USEDEP}]
+ >=dev-python/qtawesome-1.4.1[${PYTHON_USEDEP}]
+ <dev-python/qtawesome-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/qtconsole-5.7.1[${PYTHON_USEDEP}]
+ <dev-python/qtconsole-5.8.0[${PYTHON_USEDEP}]
+ >=dev-python/qtpy-2.4.0[${PYTHON_USEDEP},pyqt6,quick,svg,webengine]
+ >=dev-python/rtree-0.9.7[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-7.2.0[${PYTHON_USEDEP}]
+ >=dev-python/spyder-kernels-3.1.3[${PYTHON_USEDEP}]
+ <dev-python/spyder-kernels-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/superqt-0.6.2[${PYTHON_USEDEP}]
+ <dev-python/superqt-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/textdistance-4.2.0[${PYTHON_USEDEP}]
+ >=dev-python/three-merge-0.1.1[${PYTHON_USEDEP}]
+ >=dev-python/watchdog-0.10.3[${PYTHON_USEDEP}]
+ >=dev-python/yarl-1.9.4[${PYTHON_USEDEP}]
+"
+
+# BDEPEND="
+# test? (
+# dev-python/cython[${PYTHON_USEDEP}]
+# dev-python/flaky[${PYTHON_USEDEP}]
+# dev-python/matplotlib[tk,${PYTHON_USEDEP}]
+# dev-python/pandas[${PYTHON_USEDEP}]
+# dev-python/pillow[${PYTHON_USEDEP}]
+# dev-python/pytest-lazy-fixture[${PYTHON_USEDEP}]
+# dev-python/pytest-mock[${PYTHON_USEDEP}]
+# dev-python/pytest-order[${PYTHON_USEDEP}]
+# dev-python/pytest-qt[${PYTHON_USEDEP}]
+# dev-python/pytest-timeout[${PYTHON_USEDEP}]
+# dev-python/pyyaml[${PYTHON_USEDEP}]
+# dev-python/qtpy[${PYTHON_USEDEP}]
+# dev-python/scipy[${PYTHON_USEDEP}]
+# dev-python/sympy[${PYTHON_USEDEP}]
+# )"
+
+# Based on the courtesy of Arfrever
+# This patch removes a call to update-desktop-database during build
+# This fails because access is denied to this command during build
+PATCHES=(
+ "${FILESDIR}/${PN}-5.0.0-build.patch"
+ "${FILESDIR}/${PN}-6.0.3-no-dep-on-importlib.patch"
+)
+
+DOCS=(
+ "AUTHORS.txt"
+ "Announcements.md"
+ "CHANGELOG.md"
+ "CODE_OF_CONDUCT.md"
+ "CONTRIBUTING.md"
+ "NOTICE.txt"
+ "README.md"
+ "RELEASE.md"
+)
+
+distutils_enable_tests pytest
+# TODO: Package sphinx-design
+# distutils_enable_sphinx docs/doc \
+# dev-python/sphinx-panels \
+# dev-python/pydata-sphinx-theme \
+# dev-python/sphinx-multiversion
+
+python_prepare_all() {
+ # move docs into workdir
+ mv ../spyder-docs-${DOCS_PV}* docs || die
+
+ # these dependencies are packaged separately:
+ # dev-python/spyder-kernels,
+ # dev-python/python-lsp-server,
+ # dev-python/qdarkstyle
+ rm -r external-deps/* || die
+ # runs against things packaged in external-deps dir
+ rm conftest.py || die
+
+ # Do not depend on pyqt5<5.16, this dependency is carried by QtPy[pyqt5]
+ # Do not depend on pyqtwebengine<5.16, this dependency is carried by QtPy[webengine]
+ # Do not depend on parso and jedi, this is dependency is carried in python-lsp-server
+ # Do not depend on python-lsp-server, this dependency is carried in pyls-spyder
+ # Do not depend on ipython, this dependency is carried in spyder-kernels
+ # The explicit version requirements only make things more complicated, if e.g.
+ # pyls-spyder gains compatibility with a newer version of python-lsp-server
+ # in a new release it will take time for this information to propagate into
+ # the next spyder release. So just remove the dependency and let the other
+ # ebuilds handle the version requirements to speed things up and prevent
+ # issues such as Bug 803269.
+ sed -i \
+ -e "/'pyqt5[ 0-9<=>.,]*',/d" \
+ -e "/'pyqtwebengine[ 0-9<=>.,]*',/d" \
+ -e "/'python-lsp-server\[all\][ 0-9<=>.,]*',/d" \
+ -e "/'parso[ 0-9<=>.,]*',/d" \
+ -e "/'jedi[ 0-9<=>.,]*',/d" \
+ -e "/'pylint[ 0-9<=>.,]*',/d" \
+ setup.py || die
+ # -e "/'ipython[ 0-9<=>.,]*',/d" \
+ sed -i \
+ -e "/^PYLS_REQVER/c\PYLS_REQVER = '>=0.0.1'" \
+ -e "/^PYLSP_REQVER/c\PYLSP_REQVER = '>=0.0.1'" \
+ -e "/^PARSO_REQVER/c\PARSO_REQVER = '>=0.0.1'" \
+ -e "/^JEDI_REQVER/c\JEDI_REQVER = '>=0.0.1'" \
+ -e "/^PYLINT_REQVER/c\PYLINT_REQVER = '>=0.0.1'" \
+ spyder/dependencies.py || die
+ # -e "/^IPYTHON_REQVER/c\IPYTHON_REQVER = '>=0.0.1'" \
+
+ # do not check deps, fails because we removed dependencies above
+ sed -i -e 's:test_dependencies_for_spyder_setup_install_requires_in_sync:_&:' \
+ spyder/tests/test_dependencies_in_sync.py || die
+
+ # skip online test
+ rm spyder/widgets/github/tests/test_github_backend.py || die
+
+ export SPYDER_QT_BINDING=pyqt6
+
+ distutils-r1_python_prepare_all
+}
+
+# Calling pytest directly somehow passes the pytest arguments to spyder
+# causing an invalid argument error
+# python_test() {
+# virtx "${EPYTHON}" runtests.py
+# }
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ optfeature "2D/3D plotting in the Python and IPython consoles" dev-python/matplotlib
+ optfeature "View and edit DataFrames and Series in the Variable Explorer" dev-python/pandas
+ optfeature "View and edit two or three dimensional arrays in the Variable Explorer" dev-python/numpy
+ optfeature "Symbolic mathematics in the IPython console" dev-python/sympy
+ optfeature "Import Matlab workspace files in the Variable Explorer" dev-python/scipy
+ optfeature "Run Cython files in the IPython console" dev-python/cython
+ optfeature "The hdf5/h5py plugin" dev-python/h5py
+ optfeature "The line profiler plugin" dev-python/spyder-line-profiler
+ optfeature "Vim key bindings" dev-python/spyder-vim
+ optfeature "Unittest support" dev-python/spyder-unittest
+ optfeature "System terminal inside spyder" dev-python/spyder-terminal
+ optfeature "Jupyter notebook support" dev-python/spyder-notebook
+ # spyder-memory-profiler is not compatible with spyder-5.2+ yet
+ # optfeature "The memory profiler plugin" dev-python/spyder-memory-profiler
+ # spyder-reports not yet updated to >=spyder-4.0.0
+ # optfeature "Markdown reports using Pweave" dev-python/spyder-reports
+ # Plugins with no release yet:
+ # optfeature "Manage virtual environments and packages" dev-python/spyder-env-manager
+ # optfeature "VCS (e.g. git) integration" dev-python/spyder-vcs
+}
diff --git a/dev-python/statsmodels/statsmodels-0.14.6.ebuild b/dev-python/statsmodels/statsmodels-0.14.6.ebuild
index 829dcc9bb5c8..bcd0d3f47b43 100644
--- a/dev-python/statsmodels/statsmodels-0.14.6.ebuild
+++ b/dev-python/statsmodels/statsmodels-0.14.6.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -18,7 +18,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+KEYWORDS="amd64 arm64 ~riscv ~x86"
IUSE="examples"
# NB: upstream requires building with numpy-2 but supports 1.x
diff --git a/dev-python/tables/tables-3.10.2-r1.ebuild b/dev-python/tables/tables-3.10.2-r1.ebuild
index 7c746e23dea4..6f6e1d01d4f1 100644
--- a/dev-python/tables/tables-3.10.2-r1.ebuild
+++ b/dev-python/tables/tables-3.10.2-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,7 +19,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 ~loong ~ppc64 ~riscv ~sparc ~x86"
IUSE="+cpudetection examples test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/xarray/xarray-2025.12.0.ebuild b/dev-python/xarray/xarray-2025.12.0.ebuild
index 2df47af4aee3..77e7b631dcaa 100644
--- a/dev-python/xarray/xarray-2025.12.0.ebuild
+++ b/dev-python/xarray/xarray-2025.12.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -18,7 +18,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+KEYWORDS="amd64 arm64 ~riscv ~x86"
IUSE="big-endian"
RDEPEND="
diff --git a/dev-python/zope-testing/files/zope-testing-6.0-test.patch b/dev-python/zope-testing/files/zope-testing-6.0-test.patch
deleted file mode 100644
index 04767ac8e3f4..000000000000
--- a/dev-python/zope-testing/files/zope-testing-6.0-test.patch
+++ /dev/null
@@ -1,52 +0,0 @@
-From da6818492f66cb0512a2de69f1fdb15de0d07ed2 Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
-Date: Sat, 13 Sep 2025 07:51:46 +0200
-Subject: [PATCH] Use a more unique name for fake module doctests
-MIME-Version: 1.0
-Content-Type: text/plain; charset=UTF-8
-Content-Transfer-Encoding: 8bit
-
-Change the tested "fake" module name from `fake` to `__fake__` to reduce
-the risk of collisions with real modules. This fixes test failures
-when the package is tested in a system environment where `fake.py`
-package is installed.
-
-Signed-off-by: Michał Górny <mgorny@gentoo.org>
----
- src/zope/testing/module.txt | 10 +++++-----
- 1 file changed, 5 insertions(+), 5 deletions(-)
-
-diff --git a/src/zope/testing/module.txt b/src/zope/testing/module.txt
-index 6134ca2..555b526 100644
---- a/src/zope/testing/module.txt
-+++ b/src/zope/testing/module.txt
-@@ -68,13 +68,13 @@ Importing
- Let's now imagine a more complicated example, were we actually want to
- be able to import the fake module as well:
-
-- >>> setUp(test, 'fake')
-+ >>> setUp(test, '__fake__')
- >>> a = 'Hello world'
-
- The import should not fail:
-
-- >>> import fake
-- >>> fake.a
-+ >>> import __fake__
-+ >>> __fake__.a
- 'Hello world'
-
- Let's tear it down again:
-@@ -87,10 +87,10 @@ Let's tear it down again:
- .. doctest::
- :pyversion: < 3
-
-- >>> import fake
-+ >>> import __fake__
- Traceback (most recent call last):
- ...
-- ModuleNotFoundError: No module named 'fake'
-+ ModuleNotFoundError: No module named '__fake__'
-
- If we enter a dotted name, it will actually try to place the fake
- module in that dotted name:
diff --git a/dev-python/zstandard/files/zstandard-0.23.0-py314.patch b/dev-python/zstandard/files/zstandard-0.23.0-py314.patch
deleted file mode 100644
index a2eb41c74060..000000000000
--- a/dev-python/zstandard/files/zstandard-0.23.0-py314.patch
+++ /dev/null
@@ -1,17 +0,0 @@
-https://github.com/indygreg/python-zstandard/issues/238
-https://github.com/indygreg/python-zstandard/pull/262
-https://src.fedoraproject.org/rpms/python-zstandard/blob/rawhide/f/python-zstandard-py314.patch
---- a/zstandard/__init__.py
-+++ b/zstandard/__init__.py
-@@ -18,7 +18,10 @@ import io
- import os
- import platform
-
--from typing import ByteString
-+try:
-+ from typing import ByteString
-+except ImportError:
-+ from collections.abc import Buffer as ByteString
-
- # Some Python implementations don't support C extensions. That's why we have
- # a CFFI implementation in the first place. The code here import one of our
diff --git a/dev-python/zstandard/files/zstandard-0.23.0-zstd-1.5.7.patch b/dev-python/zstandard/files/zstandard-0.23.0-zstd-1.5.7.patch
deleted file mode 100644
index c9d1c1d8690d..000000000000
--- a/dev-python/zstandard/files/zstandard-0.23.0-zstd-1.5.7.patch
+++ /dev/null
@@ -1,163 +0,0 @@
-From 33c483f2df0be8de9df847c7cdfa9f9b32afc7aa Mon Sep 17 00:00:00 2001
-From: "Bernhard M. Wiedemann" <bwiedemann@suse.de>
-Date: Fri, 21 Feb 2025 20:59:18 +0100
-Subject: [PATCH 1/3] Use zstd-1.5.7
-
-this changed compression results, so we have to adapt tests
----
- c-ext/backend_c.c | 2 +-
- tests/test_compressor_compress.py | 2 +-
- tests/test_compressor_compressobj.py | 2 +-
- tests/test_compressor_copy_stream.py | 2 +-
- tests/test_compressor_stream_writer.py | 2 +-
- tests/test_module_attributes.py | 2 +-
- 6 files changed, 6 insertions(+), 6 deletions(-)
-
-diff --git a/c-ext/backend_c.c b/c-ext/backend_c.c
-index aabe30b..4b09d1f 100644
---- a/c-ext/backend_c.c
-+++ b/c-ext/backend_c.c
-@@ -152,7 +152,7 @@ void zstd_module_init(PyObject *m) {
- PyObject *features = NULL;
- PyObject *feature = NULL;
- unsigned zstd_ver_no = ZSTD_versionNumber();
-- unsigned our_hardcoded_version = 10506;
-+ unsigned our_hardcoded_version = 10507;
- if (ZSTD_VERSION_NUMBER != our_hardcoded_version ||
- zstd_ver_no != our_hardcoded_version) {
- PyErr_Format(
-diff --git a/tests/test_compressor_compress.py b/tests/test_compressor_compress.py
-index d96d476..c978c19 100644
---- a/tests/test_compressor_compress.py
-+++ b/tests/test_compressor_compress.py
-@@ -52,7 +52,7 @@ class TestCompressor_compress(unittest.TestCase):
-
- cctx = zstd.ZstdCompressor(level=3, write_content_size=False)
- result = cctx.compress(b"".join(chunks))
-- self.assertEqual(len(result), 999)
-+ self.assertEqual(len(result), 1029)
- self.assertEqual(result[0:4], b"\x28\xb5\x2f\xfd")
-
- # This matches the test for read_to_iter() below.
-diff --git a/tests/test_compressor_compressobj.py b/tests/test_compressor_compressobj.py
-index f429b32..b89ae20 100644
---- a/tests/test_compressor_compressobj.py
-+++ b/tests/test_compressor_compressobj.py
-@@ -39,7 +39,7 @@ class TestCompressor_compressobj(unittest.TestCase):
- cobj = cctx.compressobj()
-
- result = cobj.compress(b"".join(chunks)) + cobj.flush()
-- self.assertEqual(len(result), 999)
-+ self.assertEqual(len(result), 1029)
- self.assertEqual(result[0:4], b"\x28\xb5\x2f\xfd")
-
- params = zstd.get_frame_parameters(result)
-diff --git a/tests/test_compressor_copy_stream.py b/tests/test_compressor_copy_stream.py
-index 82c7ce7..685660f 100644
---- a/tests/test_compressor_copy_stream.py
-+++ b/tests/test_compressor_copy_stream.py
-@@ -50,7 +50,7 @@ class TestCompressor_copy_stream(unittest.TestCase):
- r, w = cctx.copy_stream(source, dest)
-
- self.assertEqual(r, 255 * 16384)
-- self.assertEqual(w, 999)
-+ self.assertEqual(w, 1029)
-
- params = zstd.get_frame_parameters(dest.getvalue())
- self.assertEqual(params.content_size, zstd.CONTENTSIZE_UNKNOWN)
-diff --git a/tests/test_compressor_stream_writer.py b/tests/test_compressor_stream_writer.py
-index cfa198b..3baa788 100644
---- a/tests/test_compressor_stream_writer.py
-+++ b/tests/test_compressor_stream_writer.py
-@@ -301,7 +301,7 @@ class TestCompressor_stream_writer(unittest.TestCase):
- d = zstd.train_dictionary(8192, samples)
-
- h = hashlib.sha1(d.as_bytes()).hexdigest()
-- self.assertEqual(h, "a46d2f7a3bc3357c9d717d3dadf9a26fde23e93d")
-+ self.assertEqual(h, "f32ddfbe0878bbd428afc00b17810387c6752191")
-
- buffer = io.BytesIO()
- cctx = zstd.ZstdCompressor(level=9, dict_data=d)
-diff --git a/tests/test_module_attributes.py b/tests/test_module_attributes.py
-index a99ed2e..3e3b482 100644
---- a/tests/test_module_attributes.py
-+++ b/tests/test_module_attributes.py
-@@ -5,7 +5,7 @@ import zstandard as zstd
-
- class TestModuleAttributes(unittest.TestCase):
- def test_version(self):
-- self.assertEqual(zstd.ZSTD_VERSION, (1, 5, 6))
-+ self.assertEqual(zstd.ZSTD_VERSION, (1, 5, 7))
-
- self.assertEqual(zstd.__version__, "0.23.0")
-
-From f598b951f36b6259fd7871892dd1e136f96c58ec Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
-Date: Mon, 24 Feb 2025 11:30:29 +0100
-Subject: [PATCH 2/3] Update make_cffi.py to skip type alias macros in zstd
- 1.5.7
-
----
- make_cffi.py | 9 +++++++--
- 1 file changed, 7 insertions(+), 2 deletions(-)
-
-diff --git a/make_cffi.py b/make_cffi.py
-index 170d1e5..763abb2 100644
---- a/make_cffi.py
-+++ b/make_cffi.py
-@@ -179,7 +179,7 @@ ffi.set_source(
- include_dirs=INCLUDE_DIRS,
- )
-
--DEFINE = re.compile(b"^\\#define ([a-zA-Z0-9_]+) ")
-+DEFINE = re.compile(rb"^#define\s+([a-zA-Z0-9_]+)\s+(\S+)")
-
- sources = []
-
-@@ -204,9 +204,14 @@ for header in HEADERS:
- if m.group(1) in (b"ZSTD_LIB_VERSION", b"ZSTD_VERSION_STRING"):
- continue
-
-+ # These defines create aliases from old (camelCase) type names
-+ # to the new PascalCase names, which breaks CFFI.
-+ if m.group(1).lower() == m.group(2).lower():
-+ continue
-+
- # The ... is magic syntax by the cdef parser to resolve the
- # value at compile time.
-- sources.append(m.group(0) + b" ...")
-+ sources.append(b"#define " + m.group(1) + b" ...")
-
- cdeflines = b"\n".join(sources).splitlines()
- cdeflines = [l for l in cdeflines if l.strip()]
-From fb56d2b5ab38132bff998b15a0d3de4e91569167 Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
-Date: Mon, 24 Feb 2025 11:30:46 +0100
-Subject: [PATCH 3/3] Update backend_cffi for new type names in zstd 1.5.7
-
----
- zstandard/backend_cffi.py | 4 ++--
- 1 file changed, 2 insertions(+), 2 deletions(-)
-
-diff --git a/zstandard/backend_cffi.py b/zstandard/backend_cffi.py
-index 80d6fc8..38427f4 100644
---- a/zstandard/backend_cffi.py
-+++ b/zstandard/backend_cffi.py
-@@ -2574,7 +2574,7 @@ def get_frame_parameters(data):
- :return:
- :py:class:`FrameParameters`
- """
-- params = ffi.new("ZSTD_frameHeader *")
-+ params = ffi.new("ZSTD_FrameHeader *")
-
- data_buffer = ffi.from_buffer(data)
- zresult = lib.ZSTD_getFrameHeader(params, data_buffer, len(data_buffer))
-@@ -4289,7 +4289,7 @@ class ZstdDecompressor(object):
-
- # All chunks should be zstd frames and should have content size set.
- chunk_buffer = ffi.from_buffer(chunk)
-- params = ffi.new("ZSTD_frameHeader *")
-+ params = ffi.new("ZSTD_FrameHeader *")
- zresult = lib.ZSTD_getFrameHeader(
- params, chunk_buffer, len(chunk_buffer)
- )